> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a board's members



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json get /boards/{boardPublicId}/members
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /boards/{boardPublicId}/members:
    get:
      tags:
        - Board Members
      summary: List a board's members
      operationId: getBoardMembers
      parameters:
        - name: boardPublicId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BoardMemberDto_Output'
      security:
        - bearer: []
components:
  schemas:
    BoardMemberDto_Output:
      type: object
      properties:
        publicId:
          type: string
        email:
          type: string
        status:
          type: string
        role:
          type: string
          enum:
            - admin
            - member
        workspaceRole:
          type: string
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
        user:
          type: object
          properties:
            id:
              type: string
              nullable: true
            name:
              type: string
              nullable: true
            email:
              type: string
            image:
              type: string
              nullable: true
          required:
            - id
            - name
            - email
            - image
          additionalProperties: false
          nullable: true
      required:
        - publicId
        - email
        - status
        - role
        - workspaceRole
        - createdAt
        - user
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.